# Enum Class SyWindowDeletionPolicy

java.lang.Object
java.lang.Enum<SyWindowDeletionPolicy>
com.io7m.jsycamore.api.windows.SyWindowDeletionPolicy

All Implemented Interfaces:
  `Serializable, Comparable<SyWindowDeletionPolicy>, Constable`

public enum SyWindowDeletionPolicy extends Enum<SyWindowDeletionPolicy>
The deletion policy for a window.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `WINDOW_MAY_BE_DELETED`
  The window may be deleted with `SyWindowServiceType.windowClose(SyWindowType)`.
  `WINDOW_MAY_NOT_BE_DELETED`
  The window may not be deleted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyWindowDeletionPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyWindowDeletionPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WINDOW_MAY_BE_DELETED

    public static final SyWindowDeletionPolicy WINDOW_MAY_BE_DELETED
    The window may be deleted with `SyWindowServiceType.windowClose(SyWindowType)`.

  - ### WINDOW_MAY_NOT_BE_DELETED

    public static final SyWindowDeletionPolicy WINDOW_MAY_NOT_BE_DELETED
    The window may not be deleted.

- ## Method Details

  - ### values

    public static SyWindowDeletionPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyWindowDeletionPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null